Agents

Export CertiWise compliance audit logs

POST
/organizations/{organizationId}/certiwise/audit-logs/export

Path Parameters

organizationId*string
Formatuuid

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/certiwise/audit-logs/export" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "format": "csv"  }'
"string"
{  "jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39",  "status": "queued",  "estimatedRows": 0}
{  "message": "string"}